Page MenuHomePhabricator

ButtonElements with no label, icon and indicator should still have consistent height
Closed, ResolvedPublic

Description

Although it's unlikely that a button without a label, icon or indicator would be presented to the user, not having a uniform height when a button is not yet configured to have one of these properties can cause calculations during setup processes to yield unexpected results. This essentially creates a hard to detect trap that developers will fall into on occasion.

Details

Related Gerrit Patches:

Event Timeline

TrevorParscal assigned this task to Prtksxna.
TrevorParscal raised the priority of this task from to Needs Triage.
TrevorParscal updated the task description. (Show Details)
TrevorParscal added a project: OOUI.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2015, 10:44 PM

Do we just want to set the button height?
https://gerrit.wikimedia.org/r/199246 (adds test cases to demo page)

matmarex renamed this task from ButtonElements should be uniform height with any combination of label, icon and indicator - including none of them to ButtonElements with no label, icon and indicator should still have consistent height.Mar 30 2015, 9:13 PM
matmarex set Security to None.

Change 216864 had a related patch set uploaded (by Jforrester):
MediaWiki theme: Alter buttons' padding and position icons absolutely

https://gerrit.wikimedia.org/r/216864

Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.Jul 30 2015, 12:49 AM
Prtksxna reassigned this task from Prtksxna to Nirzar.Aug 13 2015, 10:54 AM

Change 216864 merged by jenkins-bot:
MediaWiki theme: Alter buttons' padding and position icons absolutely

https://gerrit.wikimedia.org/r/216864

Jdforrester-WMF closed this task as Resolved.Sep 18 2015, 3:22 PM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF edited projects, added OOjs-UI-next-release; removed Patch-For-Review.
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.

Change 355247 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Remove dialog height hack tagged against resolved bug

https://gerrit.wikimedia.org/r/355247

Change 355247 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Remove dialog height hack tagged against resolved bug

https://gerrit.wikimedia.org/r/355247

matmarex reopened this task as Open.Jun 14 2017, 6:40 PM

This was never fixed or has regressed. The VE change above caused T167483.

Change 359010 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Revert 032fb292, a97eacd0

https://gerrit.wikimedia.org/r/359010

Change 359010 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Revert 032fb292, a97eacd0

https://gerrit.wikimedia.org/r/359010

We've removed min-height for framed buttons in rGOJU1dcc221214b1.
We could probably integrate a default padding-top for non-labelled buttons, which is then overridden by .oo-ui-labelElement styles.

Change 361596 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] WikimediaUI theme: Set ButtonElement's height per default

https://gerrit.wikimedia.org/r/361596

Volker_E closed this task as Resolved.Jul 13 2017, 5:54 PM
Volker_E claimed this task.
Volker_E moved this task from Reviewing to OOjs-UI-0.22.4 on the OOUI board.
Volker_E edited projects, added OOUI (OOjs-UI-0.22.4); removed OOUI.
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.

Change 361596 merged by jenkins-bot:
[oojs/ui@master] WikimediaUI theme: Set ButtonElement's height per default

https://gerrit.wikimedia.org/r/361596